<?php

class DefaultController extends Controller
{
	public function actionIndex()
	{
		$this->render('index');
	}

    public function actionDashboard()
    {
        $this->render('dashboard');
    }

    public function actionInbox()
    {
        $this->render('inbox');
    }

    public function actionAlert()
    {
        $this->render('alert');
    }

    public function actionProgress()
    {
        $this->render('progress');
    }

    public function actionFlot()
    {
        $this->render('flot');
    }

    public function actionMorris()
    {
        $this->render('morris');
    }

    public function actionInlineCharts()
    {
        $this->render('inlinecharts');
    }

    public function actionDygraphs()
    {
        $this->render('dygraphs');
    }

    public function actionChartjs()
    {
        $this->render('chartjs');
    }

    public function actionTable()
    {
        $this->render('table');
    }

    public function actionDatatables()
    {
        $this->render('datatables');
    }

    public function actionJqgrid()
    {
        $this->render('jqgrid');
    }

    /**
     * Forms
     */
    public function actionFormElements()
    {
        $this->render('form-elements');
    }

    public function actionFormTemplates()
    {
        $this->render('form-templates');
    }

    public function actionValidation()
    {
        $this->render('validation');
    }

    public function actionBootstrapvalidator()
    {
        $this->render('bootstrapvalidator');
    }

    public function actionBootstrapForms()
    {
        $this->render('bootstrap-forms');
    }

    public function actionPlugins()
    {
        $this->render('plugins');
    }

    public function actionWizard()
    {
        $this->render('wizard');
    }

    public function actionOtherEditors()
    {
        $this->render('other-editors');
    }

    public function actionDropzone()
    {
        $this->render('dropzone');
    }

    public function actionImageEditor()
    {
        $this->render('image-editor');
    }

    /**
     * UI Elements
     */
    public function actionGeneralElements()
    {
        $this->render('general-elements');
    }

    public function actionButtons()
    {
        $this->render('buttons');
    }

    public function actionFa()
    {
        $this->render('fa');
    }

    public function actionGlyph()
    {
        $this->render('glyph');
    }

    public function actionFlags()
    {
        $this->render('flags');
    }

    public function actionGrid()
    {
        $this->render('grid');
    }

    public function actionTreeview()
    {
        $this->render('treeview');
    }

    public function actionNestableList()
    {
        $this->render('nestable-list');
    }

    public function actionJqui()
    {
        $this->render('jqui');
    }

    public function actionTypography()
    {
        $this->render('typography');
    }

    /**
     * calendar
     */
    public function actionCalendar()
    {
        $this->render('calendar');
    }

    /**
     * widgets
     */
    public function actionWidgets()
    {
        $this->render('widgets');
    }

    /**
     * App Views
     */
    public function actionProjects()
    {
        $this->render('projects');
    }

    public function actionBlog()
    {
        $this->render('blog');
    }

    public function actionGallery()
    {
        $this->render('gallery');
    }

    public function actionForum()
    {
        $this->render('forum');
    }

    public function actionForumTopic()
    {
        $this->render('forum-topic');
    }

    public function actionForumPost()
    {
        $this->render('forum-post');
    }

    public function actionProfile()
    {
        $this->render('profile');
    }

    public function actionTimeline()
    {
        $this->render('timeline');
    }

    /**
     * GMap Skins
     */
    public function actionGmapXml()
    {
        $this->render('gmap-xml');
    }

    /**
     * Miscellaneous
     */
    public function actionPricingTable()
    {
        $this->render('pricing-table');
    }

    public function actionInvoice()
    {
        $this->render('invoice');
    }

    public function actionLogin()
    {
        $this->renderPartial('login');
    }

    public function actionRegister()
    {
        $this->renderPartial('register');
    }

    public function actionLock()
    {
        $this->renderPartial('lock');
    }

    public function actionError404()
    {
        $this->render('error404');
    }

    public function actionError500()
    {
        $this->render('error500');
    }

    public function actionBlank()
    {
        $this->render('blank');
    }

    public function actionEmailTemplate()
    {
        $this->render('email-template');
    }

    public function actionSearch()
    {
        $this->render('search');
    }

    public function actionCkeditor()
    {
        $this->render('ckeditor');
    }

    /**
     * SmartAdmin Intel
     */
    public function actionDifver()
    {
        $this->render('difver');
    }

    public function actionApplayout()
    {
        $this->render('applayout');
    }

    public function actionChat()
    {
        $this->render('chat');
    }
}